These docs are for v1.0. Click to read the latest docs for v3-prod.

Create Location

Use this endpoint to Create a new business location. The result is a business location object with a GUID assigned to the location.

The name and timezoneName fields are required. The timezoneName must be expressed as an IANA Timezone e.g., America/New_York. Refer to: Timezone Wiki for a listing of IANA time zones.

Business hours are set by defining the startTime and endTime values for each day available/open. All days of the week must be provided when setting availability. Days are defined as sun, mon, tue, wed, thu, fri and sat. Start and End Times are entered in military format. e.g., 800 is 8:00am, 2230 is 10:30pm. If there is no physical location and the business hours are irrelevant, set the hours to open 24 hours by setting startTime=0 and endTime=2400. To set a whole day as unavailable, set both the startTime and endTime to 0.

Settings can be set here. Booking timer minutes, book ahead restrictions and customer bookings per day are all available here. Please read about the settings scope parameter before setting these values as it may simplify your process.

Settings Scope can be set to the company or the business location level. You can have all locations use the same company level settings or individual business locations can define their own, business location scope. If you want to use the company settings throughout all locations, do not pass in settings element. To create business location scoped settings, pass in the settings element with the field values defined in the post body.

Appointment Reminders Reminder values are used to define how many hours, days, or weeks (interval value) prior to the appointment to send the reminder. Interval values are used to define the reminder interval: 1 = Hours, 2 = Days and 3 = Weeks. The reminder fields are numbers. If you are using the hours interval, use a number from 1 to 24.

Example 1: emailFirstReminder: 1, emailFirstReminderInterval: 2 - results in 1st reminder being sent 1 Day before the appointment time.

Example 2: emailSecondReminder: 3, emailSecondReminderInterval: 1 - results in 2nd reminder being sent 3 Hours before the appointment time.

IMPORTANT DEPRECATION NOTICE: The following online settings parameters were intended for internal use in our Portal application only. They will be deprecated on OCTOBER 15, 2022. These fields are currently part of the SETTINGS object in all location endpoints: businessId, enabled, familyMembersEnabled, serviceLabel, resourceLabel, resourceAnyLabel, resourceSelection, liveMode, formFlow, availabilityForm, showServiceGroups, showOnSchedLogo, showBusinessLogo, disableAuthorization, hideNavBar, hideLocationNav, hideServiceGroupsNav, hideServicesNav, hideContinueBooking, returnToService, returnToAvailability, hideBreadCrumbNav. If you are using these fields, please adjust your code to handle the deprecation or let us know by submitting a ticket to: [email protected] as we do not want to interrupt your existing workflows.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string | null
string | null

Field is required.

string | null

This field is no longer required and has been deprecated.

string | null

Field is required. It is in Iana format. e.g. America/New_York. Use moment.js in your client for ease of timezone detection and selection

string | null

Use the friendlyId as an alternative to the assigned locationId
Choose something easy and meaningful. Must be unique within your company.
FriendlyId's are limited to maximum of 64 characters.

string | null

GroupSize Limits the number of people that can come
along on a single appointment

string | null
string | null
string | null
string | null
address
object
businessHours
object
settings
object
defaults
object
appointmentReminders
object
Headers
string
enum
Defaults to application/json-patch+json

Generated from available request content types

Allowed:
Response

Language
Credentials
OAuth2
Missing 1 required scope
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json